export declare const KEY_WITH_DOUBLE_CURLY_BRACES: {
    keyToRegex(key: string): RegExp;
};
/**
 * Replaces occurrences of strings like '{key1}', '{key2}'
 * by corresponding values from params, i.e. params['key1'], params['key2']
 * @param template
 * @param params
 * @example formatByParamas('hello {user}', {user: 'world'}); // returns 'hello world'
 */
export declare function formatByParams(template: string, params: Record<string, {
    toString(): string;
}>, { keyToRegex }?: {
    keyToRegex?: (k: string) => RegExp;
}): string;
/**
 * Replaces occurrences of strings like `"$key1"`, `"$key2"`
 * by corresponding values from params, i.e. `"params['key1']"`, `"params['key2']"`
 * @param template
 * @param params
 * @example formatByParamas('hello {user}', {user: 'world'}); // returns 'hello world'
 */
export declare function formatByParamsQuotedEnv(template: string, params: Record<string, {
    toString(): string;
}>, { sanitizeParams }?: {
    sanitizeParams?: (v: string) => string;
}): string;
export declare function escapeChars(v: string, map?: Record<string, string>): string;
